<?php
require('startinclude.php');
require_once "util_db.php";
include "lecturadb_slow.php";
// se borra las cookies como primer acto
for ($e=0;$e<50;$e++) {
	setcookie ("estado_camara$e", "", time() - 3600);
}
setcookie ("tabulacion", "", time() - 3600);

$camara=parametro('camara',0);
// comun para todos..
	$camaras_actual=array();
	$camaras=array();
	leer_camaras($camaras);
	leer_camaras_actual($camaras_actual);
	$totalcamaras=count($camaras);
// fin comun

leer_configuracion($conf);


?>
<script type="text/javascript">
//	parent.parent.win[<? echo $camara ?>].minimize();
	</script>
<title>Prefrio</title>
<meta name="author" content="Jorge Castro Castillo">
<body style='background-color:#000000;'>
<p align="center"><font size="2" face="Trebuchet MS" color="lime">ATS Intech</font><font color="lime"></font></p>
<p align="center"><font size="2" face="Trebuchet MS" color="lime">Sistema de Prefrio Version <? echo $version  ?></font><font color="lime"></font></p>
<hr>

<?
$total=0;
$sql="delete from motorlecturas ";
ejecutarsql2($sql,&$total,&$resultado);	
// temperaturas normales

$select="select * from pf_sensorxcamara ";
$filas=0;
$resultado="";
ejecutarsql2($select,&$filas,&$resultado);	
for ($i=0;$i<$filas;$i++) {
	$modulo=mssql_result($resultado,$i, "lecturadirmodulo");
	$tipo=mssql_result($resultado,$i, "lecturadirtipo");
	$sql=" insert into motorlecturas(LecturaDirModulo,LecturaDirTipo,LecturaValor,LecturaError,LecturaSalto) values($modulo,$tipo,-555,0,1) ";
	
	ejecutarsql2($sql,&$total_sensores0,&$resultado2);	
}
// temperaturas especiales (panel)

$select="select b.panel_direccion,a.direccion from pf_panel a,pf_camara b where a.id=b.id_camara ";
$filas=0;
$resultado="";
ejecutarsql2($select,&$filas,&$resultado,false);	
for ($i=0;$i<$filas;$i++) {
	$modulo=mssql_result($resultado,$i, "panel_direccion");
	$tipo=mssql_result($resultado,$i, "direccion");
	$sql=" insert into motorlecturas(LecturaDirModulo,LecturaDirTipo,LecturaValor,LecturaError,LecturaSalto) values($modulo,$tipo,-555,0,10) ";
	
	ejecutarsql2($sql,&$total_sensores0,&$resultado2);	
}
echo "<br>----------------<br>";
// temperaturas especiales (ventiladores)

$select="select rotacion_direccion from pf_camara where rotacion_direccion<>0 "; // and rotacion_valor=1";
$filas=0;
$resultado="";
ejecutarsql2($select,&$filas,&$resultado);	
for ($i=0;$i<$filas;$i++) {
	$modulo=mssql_result($resultado,$i, "rotacion_direccion");
	$tipo=2049; // XJR40D
	$sql=" insert into motorlecturas(LecturaDirModulo,LecturaDirTipo,LecturaValor,LecturaError,LecturaSalto) values($modulo,$tipo,-555,0,15) ";
	
	@ejecutarsql2($sql,&$total_sensores0,&$resultado2);	
}


$total_sensores=0;


$sql= "insert into motorlecturas \n";
$sql.= "select a.lecturadirmodulo,a.lecturadirtipo,-555,0,1 from pf_sensorxcamara_item a \n";
$sql.= "where lecturadirmodulo not in \n";
$sql.= "	(select lecturadirmodulo from motorlecturas b where a.lecturadirtipo=b.lecturadirtipo )\n";

$total_camaras=0;
$filas=0;

$resultado="";
ejecutarsql2($sql,&$total_sensores2,&$resultado);	



// definimos la escala 0 (celsius) por defecto si no tiene valor.
$sql= "update pf_sensorxcamara set tipo_escala=0 where tipo_escala is null;\n";
$sql.= "update pf_sensorxproceso set tipo_escala=0 where tipo_escala is null;\n";
$sql.= "update motorlecturas set lecturasalto=1 where lecturasalto is null;\n";


$total_camaras=0;
$filas=0;

$resultado="";
ejecutarsql2($sql,&$total_sensores3,&$resultado);	

$total_sensores+=$total_sensores2+$total_sensores3;

echo "<font size='2' face='Trebuchet MS' color='lime'><br>0) Creando Sensores :";
echo "<b>$total_sensores (creados)</b></font><br>\n";
if ($total_sensores>0) {
	echo "<font size='9' face='Trebuchet MS' color='lime'>DEBE REINICIAR EL MOTOR!!!!!";
	echo "<br>\n";
}



for ($i=1;$i<=50;$i++) {
	switch ($i) {
		case 1:
			echo "<font size='2' face='Trebuchet MS' color='lime'>$i) Limpiando APC :";
			$resultado=apc_clear_cache("user");
			$resultado2=($resultado)?"OK":"FALLA!";
			echo "<b>$resultado2</b></font><br>\n";
		break;
		case 2:
			echo "<font size='2' face='Trebuchet MS' color='lime'>$i) Limpiando Sesion :";
			session_unset();
			session_destroy();
			$_SESSION = array();
			$resultado2="OK";
			echo "<b>$resultado2</b></font><br>\n";
		break;		
		case 3:
			echo "<font size='2' face='Trebuchet MS' color='lime'>$i) Limpiando Cookies :";			
			// borradas previamente.
			$resultado2="OK";
			echo "<b>$resultado2</b></font><br>\n";
		break;				
		case 4:
			echo "<font size='2' face='Trebuchet MS' color='lime'>$i) Zona (Debe ser america/santiago):";
			$resultado2=date_default_timezone_get();
			echo "<b>$resultado2</b></font><br>\n";
		break;		
		case 5:
			/*$hoy=mktime(date("G") , date("i") , date("s") , date("m")  , date("d"), date("Y"),0);
			echo "<font size='2' face='Trebuchet MS' color='lime'>$i) Fecha Actual :";
			$resultado2=date('l dS \of F Y h:i:s A',$hoy);
			echo "<b>$resultado2</b></font><br>\n";
			*/
			$resultado2=cnvepochtimelargo(epochnow());
			echo "<font size='2' face='Trebuchet MS' color='lime'>$i) Fecha Actual (debe ser igual a la fecha y hora de windows):";
			
			echo "<b>$resultado2</b></font><br>\n";			
		break;		
		case 6:
			$hoy=mktime(date("G") , date("i") , date("s") , date("m")  , date("d"), date("Y"),0);
			echo "<font size='2' face='Trebuchet MS' color='lime'>$i) Fecha Actual (Deberia ser igual a la fecha actual) :";
			$resultado2=date('l dS \of F Y h:i:s A',mktime());
			echo "<b>$resultado2</b></font><br>\n";
		break;				
		case 7:
			$hoy=mktime(date("G") , date("i") , date("s") , date("m")  , date("d"), date("Y"),0);
			echo "<font size='2' face='Trebuchet MS' color='lime'>$i) Fecha Epoch(tm) :";
			$resultado2=epochnow();
			echo "<b>$resultado2</b></font><br>\n";
		break;						
		case 8:
			$inicio_epoch2=mktime("0","0","0","1","1","2005");
			$inicio_epoch=mktime("0","0","0","1","1","2005",0);
			$hoy=mktime(date("G") , date("i") , date("s") , date("m")  , date("d"), date("Y"),0);
			echo "<font size='2' face='Trebuchet MS' color='lime'>$i) Fecha Actual Calculada :";
			$resultado2=date('l dS \of F Y h:i:s A',$inicio_epoch+(epochnow()*60));
			echo "<b>$resultado2</b></font><br>\n";
		break;		
		case 9:
			leer_ultima_fecha($ultima_fecha);
			echo "<font size='2' face='Trebuchet MS' color='lime'>$i) Fecha Ultima Lectura(DB) :";
			$resultado2=date('l dS \of F Y h:i:s A',$inicio_epoch+($ultima_fecha*60));
			echo "<b>$resultado2</b></font><br>\n";
		break;			
		case 10:
			leer_camaras($camaras);		
			echo "<font size='2' face='Trebuchet MS' color='lime'>$i) Camaras :";
			$resultado2=count($camaras);	;
			echo "<b>$resultado2</b></font><br>\n";
		break;				
		case 11:			
			echo "<font size='2' face='Trebuchet MS' color='lime'>$i) Compaņia :";
			$resultado2=$conf["nombre_planta"]." \ ".$conf["nombre_planta2"];
			echo "<b>$resultado2</b></font><br>\n";
		break;			
		case 12:			
			echo "<font size='2' face='Trebuchet MS' color='lime'>$i) Version Web :";
			$resultado2=$version;
			echo "<b>$resultado2</b></font><br>\n";
		break;			
		case 13:			
			echo "<font size='2' face='Trebuchet MS' color='lime'>$i) Version Base de datos :";
			$resultado2=leer_version();
			echo "<b>$resultado2</b></font><br>\n";
		break;			
		
	}


}
	echo "<br><br><br><font size='3' face='Trebuchet MS' color='lime'>$i)<b> DEBE CERRAR LA PAGINA Y VOLVERLA A ABRIR!!!</b>";
	echo "&nbsp;<a href='inicio.php'>click aqui</a>";
	echo "</font><br>\n";	


?>

</body>